This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 880277 - AttributeError: 'NoneType' object has no attribute 'format'
AttributeError: 'NoneType' object has no attribute 'format'
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
ppc64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
abrt_hash:e9db4ff187fbcf16f13fa5c44f9...
:
Depends On:
Blocks: F18Betappc
  Show dependency treegraph
 
Reported: 2012-11-26 10:48 EST by Mark Hamzy
Modified: 2012-12-06 02:25 EST (History)
7 users (show)

See Also:
Fixed In Version: anaconda-18.32-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-06 02:25:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
File: anaconda-tb (315.06 KB, text/plain)
2012-11-26 10:48 EST, Mark Hamzy
no flags Details
File: product (6 bytes, text/plain)
2012-11-26 10:48 EST, Mark Hamzy
no flags Details
File: type (9 bytes, text/plain)
2012-11-26 10:48 EST, Mark Hamzy
no flags Details
File: storage.log (173.80 KB, text/plain)
2012-11-26 10:48 EST, Mark Hamzy
no flags Details
File: version (7 bytes, text/plain)
2012-11-26 10:48 EST, Mark Hamzy
no flags Details
File: environ (832 bytes, text/plain)
2012-11-26 10:48 EST, Mark Hamzy
no flags Details
File: executable (14 bytes, text/plain)
2012-11-26 10:48 EST, Mark Hamzy
no flags Details
File: anaconda.log (28.25 KB, text/plain)
2012-11-26 10:48 EST, Mark Hamzy
no flags Details
File: syslog (37.07 KB, text/plain)
2012-11-26 10:48 EST, Mark Hamzy
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-11-26 10:48 EST, Mark Hamzy
no flags Details
File: packaging.log (2.41 KB, text/plain)
2012-11-26 10:48 EST, Mark Hamzy
no flags Details
File: cmdline_file (184 bytes, text/plain)
2012-11-26 10:48 EST, Mark Hamzy
no flags Details
File: release (24 bytes, text/plain)
2012-11-26 10:48 EST, Mark Hamzy
no flags Details
File: program.log (34.07 KB, text/plain)
2012-11-26 10:48 EST, Mark Hamzy
no flags Details

  None (edit)
Description Mark Hamzy 2012-11-26 10:48:17 EST
Description of problem:
Manually partitioned the system

Version-Release number of selected component:
anaconda-18.29.2

Additional info:
libreport version: 2.0.17
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.6-3.fc18.ppc64

description:
:The following was filed automatically by anaconda:
:anaconda 18.29.2 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/bootloader.py", line 1581, in check
:    parts = stage1dev.format.partedDisk.partitions
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1531, in sanityCheck
:    if not self.bootloader.check():
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 308, in checkStorage
:    StorageChecker.warnings) = self.storage.sanityCheck()
:  File "/usr/lib64/python2.7/threading.py", line 504, in run
:    self.__target(*self.__args, **self.__kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
:    threading.Thread.run(self, *args, **kwargs)
:AttributeError: 'NoneType' object has no attribute 'format'
Comment 1 Mark Hamzy 2012-11-26 10:48:20 EST
Created attachment 652019 [details]
File: anaconda-tb
Comment 2 Mark Hamzy 2012-11-26 10:48:22 EST
Created attachment 652020 [details]
File: product
Comment 3 Mark Hamzy 2012-11-26 10:48:24 EST
Created attachment 652021 [details]
File: type
Comment 4 Mark Hamzy 2012-11-26 10:48:26 EST
Created attachment 652022 [details]
File: storage.log
Comment 5 Mark Hamzy 2012-11-26 10:48:29 EST
Created attachment 652023 [details]
File: version
Comment 6 Mark Hamzy 2012-11-26 10:48:31 EST
Created attachment 652024 [details]
File: environ
Comment 7 Mark Hamzy 2012-11-26 10:48:34 EST
Created attachment 652025 [details]
File: executable
Comment 8 Mark Hamzy 2012-11-26 10:48:36 EST
Created attachment 652026 [details]
File: anaconda.log
Comment 9 Mark Hamzy 2012-11-26 10:48:38 EST
Created attachment 652027 [details]
File: syslog
Comment 10 Mark Hamzy 2012-11-26 10:48:43 EST
Created attachment 652028 [details]
File: hashmarkername
Comment 11 Mark Hamzy 2012-11-26 10:48:48 EST
Created attachment 652029 [details]
File: packaging.log
Comment 12 Mark Hamzy 2012-11-26 10:48:51 EST
Created attachment 652030 [details]
File: cmdline_file
Comment 13 Mark Hamzy 2012-11-26 10:48:54 EST
Created attachment 652031 [details]
File: release
Comment 14 Mark Hamzy 2012-11-26 10:48:58 EST
Created attachment 652032 [details]
File: program.log
Comment 15 David Aquilina 2012-11-26 12:16:35 EST
custom partitioning on ppc anaconda-18.29.2

Package: anaconda-18.29.2
OS Release: Fedora release 18-Beta
Comment 16 Phil Knirsch 2012-11-26 12:32:21 EST
I got a very similar bug when i tried the following on x86_64:

1) Start install on an empty disk (used a vm image)
2) Go into partitioning
3) Select custom/manual partitioning
4) On partition screen, DON'T create any partition and directly leave via Finish partitioning
5) Anaconda crashes with a very similar traceback as the one from this bug and ends with:

:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/storage.py", line 308, in checkStorage
:    StorageChecker.warnings) = self.storage.sanityCheck()
:  File "/usr/lib64/python2.7/threading.py", line 504, in run
:    self.__target(*self.__args, **self.__kwargs)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/threads.py", line 91, in run
:    threading.Thread.run(self, *args, **kwargs)
:AttributeError: 'NoneType' object has no attribute 'format'

Thanks & regards, Phil
Comment 17 Phil Knirsch 2012-11-27 06:28:25 EST
During manual partitioning on F18 Beta on PowerPC.

Package: anaconda-18.29.2
OS Release: Fedora release 18-Beta
Comment 18 David Aquilina 2012-11-28 02:25:01 EST
I spun the patch[0] into an updates.img[1] and it seems to work, though more testing would be appreciated. 

[0] https://lists.fedorahosted.org/pipermail/anaconda-patches/2012-November/002221.html
[1] http://dwa.fedorapeople.org/880277-updates.img
Comment 19 Phil Knirsch 2012-11-28 08:37:24 EST
Verified with the updates image and successfully completed a custom paritioning setup and installation with it.

Thanks David & Chris!

Regards, Phil
Comment 20 Chris Lumens 2012-11-28 10:25:10 EST
Outstanding.  We had some discussion yesterday about building another beta version of anaconda specifically for this bug.  I've put the next post-beta version number in the Fixed In Version field above, but we'll talk about doing another build as well.
Comment 21 Fedora Update System 2012-11-28 20:21:05 EST
anaconda-18.32-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.32-1.fc18
Comment 22 Fedora Update System 2012-11-30 01:38:57 EST
Package anaconda-18.32-1.fc18, pykickstart-1.99.22-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.32-1.fc18 pykickstart-1.99.22-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19380/pykickstart-1.99.22-1.fc18,anaconda-18.32-1.fc18
then log in and leave karma (feedback).
Comment 23 Fedora Update System 2012-12-02 14:25:54 EST
Package pykickstart-1.99.22-1.fc18, anaconda-18.34-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pykickstart-1.99.22-1.fc18 anaconda-18.34-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19380/pykickstart-1.99.22-1.fc18,anaconda-18.34-1.fc18
then log in and leave karma (feedback).
Comment 24 Fedora Update System 2012-12-05 18:10:59 EST
Package pykickstart-1.99.22-1.fc18, anaconda-18.35-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pykickstart-1.99.22-1.fc18 anaconda-18.35-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19380/pykickstart-1.99.22-1.fc18,anaconda-18.35-1.fc18
then log in and leave karma (feedback).
Comment 25 Fedora Update System 2012-12-06 02:25:58 EST
pykickstart-1.99.22-1.fc18, anaconda-18.35-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.